from functools import wraps
import sims4.resources
from sims4.tuning.instance_manager import InstanceManager
from sims4.resources import Types
import services

def inject(target_function, new_function):
    @wraps(target_function)
    def _inject(*args, **kwargs):
        return new_function(target_function, *args, **kwargs)
    return _inject

def inject_to(target_object, target_function_name):
    def _inject_to(new_function):
        target_function = getattr(target_object, target_function_name)
        setattr(target_object, target_function_name, inject(target_function, new_function))
        return new_function
    return _inject_to

WickedPixxel_TrailerPark_163702_SnippetId = 163702
WickedPixxel_TrailerPark_163702_MixerId = (12671749966607563658,14764869497315067744,14755612718613120217,10321140051300328447,17934912510156574306,13834366863141986104,17513057707473534206,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def WickedPixxel_TrailerPark_AddMixer_163702(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(WickedPixxel_TrailerPark_163702_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in WickedPixxel_TrailerPark_163702_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )
WickedPixxel_TrailerPark_163706_SnippetId = 163706
WickedPixxel_TrailerPark_163706_MixerId = (17801757676172156223,18140582519604991035,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def WickedPixxel_TrailerPark_AddMixer_163706(original, self):
    original(self)
    if self.TYPE == Types.SNIPPET:
        key = sims4.resources.get_resource_key(WickedPixxel_TrailerPark_163706_SnippetId, Types.SNIPPET)
        snippet_tuning = self._tuned_classes.get(key)
        if snippet_tuning is None:
            return
        for m_id in WickedPixxel_TrailerPark_163706_MixerId:
            affordance_manager = services.affordance_manager()
            key = sims4.resources.get_resource_key(m_id, Types.INTERACTION)
            mixer_tuning = affordance_manager.get(key)
            if mixer_tuning is None:
                return
            if mixer_tuning in snippet_tuning.value:
                return
            snippet_tuning.value = snippet_tuning.value + (mixer_tuning, )

WickedPixxel_TrailerPark_ObjectIds_1 = (14845,112485,34680,40340,34682,211714,202931,202932,34684,34679,216358,34678,36369,36370,77507,)
WickedPixxel_TrailerPark_InteractionIds_1 = (16110399916748680549,13437559754543277177,9674691340264548907,)
@inject_to(InstanceManager, 'load_data_into_class_instances')
def WickedPixxel_TrailerPark_AddSuperAffordances_1(original, self):
    original(self)
    if self.TYPE == Types.OBJECT:
        affordance_manager = services.affordance_manager()
        sa_list = []
        for sa_id in WickedPixxel_TrailerPark_InteractionIds_1:
            key = sims4.resources.get_resource_key(sa_id, Types.INTERACTION)
            sa_tuning = affordance_manager.get(key)
            if not sa_tuning is None:
                sa_list.append(sa_tuning)
        sa_tuple = tuple(sa_list)
        for obj_id in WickedPixxel_TrailerPark_ObjectIds_1:
            key = sims4.resources.get_resource_key(obj_id, Types.OBJECT)
            obj_tuning = self._tuned_classes.get(key)
            if not obj_tuning is None:
                obj_tuning._super_affordances = obj_tuning._super_affordances + sa_tuple

